openSUSE Build Service sérülékenységek

CH azonosító

CH-4818

Angol cím

openSUSE Build Service Multiple Vulnerabilities

Felfedezés dátuma

2011.04.27.

Súlyosság

Közepes

Érintett rendszerek

Novell
openSUSE

Érintett verziók

openSUSE Build Service 2.0.x
openSUSE Build Service 2.1.x
openSUSE Build Service 2.1.x (Appliance)

Összefoglaló

Az openSUSE Build Service több sérülékenységét is jelentették, amelyeket a támadók kihasználhatnak cross-site scripting (XSS/CSS) támadásokra és bizonyos biztonsági szabályok megkerülésére.

Leírás

  1. Az API meghatározatlan hibája kihasználható a csomagok vagy projektek módosítására írási jogosultság nélküli hozzáférés esetén is.
  2. Az API ismeretlen hibája lehetővé tesz, hogy idegen felhasználók LDAP módban jelszavakat változtassanak meg.
  3. Egyes, részletesen nem ismertetett, bemeneti adatok ellenőrzése nem megfelelő, mielőtt visszaadnák a felhasználóknak. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének munkamenetében az érintett oldallal kapcsolatosan.

Megoldás

Frissítsen a legújabb verzióra